XnModuleDeviceIdentificationInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnStatus(* | GetDeviceName )(XnModuleNodeHandle hInstance, XnChar *strBuffer, XnUInt32 *pnBufferSize)
XnStatus(* | GetVendorSpecificData )(XnModuleNodeHandle hInstance, XnChar *strBuffer, XnUInt32 *pnBufferSize)
XnStatus(* | GetSerialNumber )(XnModuleNodeHandle hInstance, XnChar *strBuffer, XnUInt32 *pnBufferSize)

## Member Data Documentation

## GetDeviceName

XnStatus(* XnModuleDeviceIdentificationInterface::GetDeviceName) (XnModuleNodeHandle hInstance, XnChar *strBuffer, XnUInt32 *pnBufferSize)

Gets the device name.

Parameters

  hInstance | [in] A handle to the instance.
  strBuffer | [in] A buffer to accept the device name.
  pnBufferSize | [in/out] Size of the buffer.

Returns
  XN_STATUS_OK if succeeded, or XN_STATUS_OUTPUT_BUFFER_OVERFLOW if buffer is not sufficient. in such a case, the device name should be truncated to fit in the buffer, and pnBufferSize should be updated to the required size.

## GetSerialNumber

XnStatus(* XnModuleDeviceIdentificationInterface::GetSerialNumber) (XnModuleNodeHandle hInstance, XnChar *strBuffer, XnUInt32 *pnBufferSize)

Gets the serial number of the device.

Parameters

  hInstance | [in] A handle to the instance.
  strBuffer | [in] A buffer to accept the string.
  pnBufferSize | [in/out] Size of the buffer.

Returns
  XN_STATUS_OK if succeeded, or XN_STATUS_OUTPUT_BUFFER_OVERFLOW if buffer is not sufficient. in such a case, the string should be truncated to fit in the buffer, and pnBufferSize should be updated to the required size.

## GetVendorSpecificData

XnStatus(* XnModuleDeviceIdentificationInterface::GetVendorSpecificData) (XnModuleNodeHandle hInstance, XnChar *strBuffer, XnUInt32 *pnBufferSize)

Gets a vendor-specific string.

Parameters

  hInstance | [in] A handle to the instance.
  strBuffer | [in] A buffer to accept the string.
  pnBufferSize | [in/out] Size of the buffer.

Returns
  XN_STATUS_OK if succeeded, or XN_STATUS_OUTPUT_BUFFER_OVERFLOW if buffer is not sufficient. in such a case, the string should be truncated to fit in the buffer, and pnBufferSize should be updated to the required size.

The documentation for this struct was generated from the following file:

- XnModuleInterface.h